Public Attributes | List of all members
ble_gattc_evt_browse_srvc_t Struct Reference
BLE » Generic Attribute Profile (GATT) » Generic Attribute Profile (GATT) Client » Structures

GATTC Browse service(s) event for BLE_GATTC_EVT_SRVC_BROWSE. More...

`#include <ble_gattc.h>`

Collaboration diagram for ble_gattc_evt_browse_srvc_t:
[legend]

## Public Attributes
uint8_t | uuid_len
| Service UUID length. More...
uint8_t | uuid [BLE_ATT_UUID_128_LEN]
| Service UUID. More...
uint16_t | start_hdl
| Service start handle. More...
uint16_t | end_hdl
| Service end handle. More...
union ble_gattc_browse_attr_info * | info
| Attribute information presented in the service(array length = end_hdl - start_hdl);If attr_type is equal to BLE_GATTC_BROWSE_NONE, the last attribute information has been found in previous one, although not reach the service end handle. More...

## Detailed Description

GATTC Browse service(s) event for BLE_GATTC_EVT_SRVC_BROWSE.

Definition at line 226 of file ble_gattc.h.

## Member Data Documentation

## ◆ end_hdl

uint16_t ble_gattc_evt_browse_srvc_t::end_hdl

Service end handle.

Definition at line 231 of file ble_gattc.h.

## ◆ info

union ble_gattc_browse_attr_info* ble_gattc_evt_browse_srvc_t::info

Attribute information presented in the service(array length = end_hdl - start_hdl);If attr_type is equal to BLE_GATTC_BROWSE_NONE, the last attribute information has been found in previous one, although not reach the service end handle.

Definition at line 232 of file ble_gattc.h.

## ◆ start_hdl

uint16_t ble_gattc_evt_browse_srvc_t::start_hdl

Service start handle.

Definition at line 230 of file ble_gattc.h.

## ◆ uuid

uint8_t ble_gattc_evt_browse_srvc_t::uuid[BLE_ATT_UUID_128_LEN]

Service UUID.

Definition at line 229 of file ble_gattc.h.

## ◆ uuid_len

uint8_t ble_gattc_evt_browse_srvc_t::uuid_len

Service UUID length.

Definition at line 228 of file ble_gattc.h.

The documentation for this struct was generated from the following file:

- ble_gattc.h